Index: /main/trunk/release-kits/shared/core/uninstaller/Uninstall.sh
===================================================================
--- /main/trunk/release-kits/shared/core/uninstaller/Uninstall.sh	(revision 23256)
+++ /main/trunk/release-kits/shared/core/uninstaller/Uninstall.sh	(revision 23257)
@@ -1,11 +1,12 @@
-if [ -f "../setup.bash" ]; then
+cd ..
+if [ -f "setup.bash" ]; then
 	#This is Greenstone 2
-	. ../setup.bash > /dev/null
+	. ./setup.bash > /dev/null
 	SEARCH4J_EXECUTABLE=$GSDLHOME/bin/$GSDLOS/search4j
 
-elif [ -f "../gs2build/setup.bash" ]; then
+elif [ -f "gs2build/setup.bash" ]; then
 	#This is Greenstone 3
-	. ../gs2build/setup.bash > /dev/null
-	SEARCH4J_EXECUTABLE=../bin/search4j
+	. ./gs2build/setup.bash > /dev/null
+	SEARCH4J_EXECUTABLE=./bin/search4j
 
 else
@@ -15,28 +16,27 @@
 fi
 
-if [ $GSDLOS = linux ]; then
-	"$SEARCH4J_EXECUTABLE" -p ../packages/jre -l ./uninst.jar
-elif [ $GSDLOS = darwin ]; then
-	"$SEARCH4J_EXECUTABLE" -p /System/Library/Frameworks/JavaVM.framework/Home -l ./uninst.jar
+if [ "$GSDLOS" = "linux" ]; then
+	"$SEARCH4J_EXECUTABLE" -p ./packages/jre -l ./uninstall/uninst.jar
+elif [ "$GSDLOS" = "darwin" ]; then
+	"$SEARCH4J_EXECUTABLE" -p /System/Library/Frameworks/JavaVM.framework/Home -l ./uninstall/uninst.jar
 fi
 
 if [ -e "uninst.flag" ]; then
 
-	rm -rf ../packages/jre &> /dev/null
-	rmdir ../packages &> /dev/null
+	rm -rf packages/jre &> /dev/null
+	rmdir packages &> /dev/null
 	
-	rm -rf ../bin &> /dev/null
-	rm -rf ../tmp &> /dev/null
-	rm -rf ../uninstall &> /dev/null
+	rm -rf bin &> /dev/null
+	rm -rf tmp &> /dev/null
+	rm -rf uninstall &> /dev/null
 
-	if [ -e "../llssite.cfg" ] ; then
-		rm ../llssite.cfg &> /dev/null
+	if [ -e "llssite.cfg" ] ; then
+		rm llssite.cfg &> /dev/null
 	fi
 
-	if [ -e "../glisite.cfg" ] ; then
-		rm ../glisite.cfg &> /dev/null
+	if [ -e "glisite.cfg" ] ; then
+		rm glisite.cfg &> /dev/null
 	fi
  	
-	cd ..
 	CONTENTS=`ls`
 	if [ -z "$CONTENTS" ]; then
Index: /main/trunk/release-kits/shared/core/uninstaller/Uninstaller.java
===================================================================
--- /main/trunk/release-kits/shared/core/uninstaller/Uninstaller.java	(revision 23256)
+++ /main/trunk/release-kits/shared/core/uninstaller/Uninstaller.java	(revision 23257)
@@ -44,6 +44,6 @@
 	public static final ResourceBundle bundle = ResourceBundle.getBundle("resources.LanguagePack");
 
-	public static final File gs2InstallProps = new File("../etc/installation.properties");
-	public static final File gs3InstallProps = new File("../installation.properties");
+	public static final File gs2InstallProps = new File("etc/installation.properties");
+	public static final File gs3InstallProps = new File("installation.properties");
 
 	boolean keepCollections = true;
@@ -335,17 +335,17 @@
 
 			//never delete the things we are currently running
-			exceptions.add( new File("../bin/search4j.exe") );
-			exceptions.add( new File("../bin/search4j") );
-
-			exceptions.add( new File("../bin/windows/search4j.exe") );
-			exceptions.add( new File("../bin/linux/search4j") );
-			exceptions.add( new File("../bin/darwin/search4j") );
-
-			exceptions.add( new File("../packages/jre") );
-			exceptions.add( new File("../uninstall") );
+			exceptions.add( new File("bin/search4j.exe") );
+			exceptions.add( new File("bin/search4j") );
+
+			exceptions.add( new File("bin/windows/search4j.exe") );
+			exceptions.add( new File("bin/linux/search4j") );
+			exceptions.add( new File("bin/darwin/search4j") );
+
+			exceptions.add( new File("packages/jre") );
+			exceptions.add( new File("uninstall") );
 
 			if ( keepCollections ) {
-				exceptions.add( new File("../web/sites/localsite/collect") );
-				exceptions.add( new File("../collect") );
+				exceptions.add( new File("web/sites/localsite/collect") );
+				exceptions.add( new File("collect") );
 			}
 
@@ -446,5 +446,5 @@
 				
 				for(int j=0; j < paths.length; j++) {
-					recursiveDelete( new File(".." + File.separator + paths[j]), exceptions );
+					recursiveDelete( new File(paths[j]), exceptions );
 				}
 			}