Index: /documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 23280)
+++ /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 23281)
@@ -3236,30 +3236,35 @@
 <Version initial="2.71" current="2.84"/>
 <Content>
-<Text id="depositor-2">Collections built with <i>Lucene</i> indexer support incremental addition of documents. The <b>import</b> and <b>build</b> process by default delete old index files in the <b>index</b> directory and intermediate files in the <b>archives</b> directory. With incremental building, the <b>import</b> and <b>build</b> process will keep the old files and only process the new ones that havenât been indexed.</Text>
-<Text id="depositor-3">In this tutorial we will learn how to use <AutoText key="coredm::_depositor:textdepositor_"/> for incremental building. Please note that Greenstone supports incremental addition of documents, but if you want to change the metadata or classifier or to delete or modify an existing document in the collection, then you will need to do a full import and build.</Text>
+<Text id="depositor-2">Collections built with the <i>Lucene</i> indexer support incremental addition, updates, and deletion of documents and metadata. The <b>import</b> and <b>build</b> processes by default delete old index files in the <b>index</b> directory and intermediate files in the <b>archives</b> directory. With incremental building, the <b>import</b> and <b>build</b> process will keep the old files and only process the new or modified ones.</Text>
+<Text id="depositor-2a">Incremental import can be done with any collection, but incremental modification of the indexes can only be done for collections that use the Lucene indexer.</Text>
+<Text id="depositor-3">The first part of this tutorial looks at using the <AutoText key="coredm::_depositor:textdepositor_"/> for incremental building. The depositor only supports addition of new documents and associated metadata. If you want to delete or modify existing documents and their metadata, you will need to use GLI or command line building.</Text>
 <Heading>
 <Text id="depositor-5"><AutoText key="coredm::_depositor:textdepositor_"/></Text>
 </Heading>
-<Text id="depositor-6"><AutoText key="coredm::_depositor:textdepositor_"/> is Greenstoneâs runtime support for institutional repositories since Greenstone 2.71. It provides the collection building work flow through the web interface. <AutoText key="coredm::_depositor:textdepositor_"/> only works with the Web library server, not the local library server. Greenstone users belonging to the <AutoText text="all-collections-editor"/> user group have access to <AutoText key="coredm::_depositor:textdepositor_"/>.</Text>
+<Text id="depositor-6"><AutoText key="coredm::_depositor:textdepositor_"/> is Greenstoneâs runtime support for institutional repositories. It provides the collection building work flow through a web interface. <AutoText key="coredm::_depositor:textdepositor_"/> only works with the Web library server, not the local library server. Greenstone users belonging to the <AutoText text="all-collections-editor"/> user group have access to <AutoText key="coredm::_depositor:textdepositor_"/>.</Text>
 <Heading>
 <Text id="depositor-7">Enabling <AutoText key="coredm::_depositor:textdepositor_"/></Text>
 </Heading>
-<Text id="depositor-8">Enabling <AutoText key="coredm::_depositor:textdepositor_"/> involves two steps: first we need to install a Web Server (Apache) and configure Greenstone to use the Web Server instead of local server; then we can enable <AutoText key="coredm::_depositor:textdepositor_"/>.</Text>
-<NumberedItem>
-<Text id="depositor-apache">We are going to use the Apache HTTP Server as the Web Server. Apache is an open source HTTP server developed by The Apache Software Foundation. It can be downloaded from <Link url="http://httpd.apache.org/download.cgi">the Apache Server website</Link>. <Link url="http://wiki.greenstone.org/wiki/index.php/Setting_up_an_Apache_Web_Server_for_Greenstone_2_Walkthrough">This page</Link> in the Greenstone Wiki provides a detailed walkthrough of how to install Apache on Linux, MacOS and Windows, and how to configure Greenstone to work with Apache. Please follow this page unless you have already configured Greenstone with a Web Server.</Text>
+<Text id="depositor-8">For Windows users, first make sure that you are using a Web Server (e.g. Apache) instead of the Local Library Server. The binary installation of Greenstone will install Apache, but by default the Local Library Server will be used. To switch to using Apache, rename the <Path>GSDLHOME &rarr; server.exe</Path> file to something else. </Text>
 <Text id="depositor-access">Note: You might need to set permissions for the <Path>GSDLHOME &rarr; tmp</Path> and <Path>GSDLHOME &rarr; collect</Path> or <Path>GSDLHOME &rarr; collect &rarr; your_accessible_collection</Path> directory.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="depositor-enable">Now suppose we have already installed Apache and have configured Greenstone to use the Apache Web server. In Greenstone, <AutoText key="coredm::_depositor:textdepositor_"/> is disabled by default. To enable it, edit the file <Path>GSDLHOME &rarr; etc &rarr; main.cfg</Path>. Look for the "depositor" line, and change <i>disabled</i> to <i>enabled</i>.</Text>
-<Text id="user-group">There is one more thing need to be done here. By default only users from the <AutoText text="all-collections-editor"/> user group have access to <AutoText key="coredm::_depositor:textdepositor_"/> so we need to add the <AutoText text="admin"/> account, which we are going to use, to this group. To do this, we need the <AutoText text="Maintenance and Administration"/> facility, which is also disabled by default. To enable it, look for the "status" line in <Path>main.cfg</Path> file and change <i>disabled</i> to <i>enabled</i>, if it is not already so.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="depositor-win">If we are on a Windows machine, restart the Greenstone library.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="change-group">Now we change the group membership of the <AutoText text="admin"/> account. Go to the Greenstone library home page. Two new buttons appears right below <AutoText key="coredm::_gli:textgli_"/> button, named <AutoText key="coredm::_depositor:textdepositor_"/> and <AutoText key="coredm::_home:textadmin_"/> respectively. Click <AutoText key="coredm::_home:textadmin_"/> button, click the <AutoText key="auxdm::_status:textlistusers_"/> link on the left under <AutoText key="auxdm::_status:textusermanage_"/> section. Sign in and you will see a list of all the registered accounts in your Greenstone library. At the end of each entry there are two links: <AutoText key="auxdm::_userslistusers:textedituser_"/> and <AutoText key="auxdm::_userslistusers:textdeleteuser_"/>. Click <AutoText key="auxdm::_userslistusers:textedituser_"/> on the <AutoText text="admin"/> user account, and one can see more detailed information about the current user account. If it's not already there, add <AutoText text="all-collections-editor"/> at the end of the <AutoText key="auxdm::_userslistusers:textgroups_"/> and make it read:</Text>
-<Format>
-administrator,colbuilder,all-collections-editor
-</Format>
+<Text id="depositor-enable">In Greenstone, <AutoText key="coredm::_depositor:textdepositor_"/> is disabled by default. To enable it, edit the file <Path>GSDLHOME &rarr; etc &rarr; main.cfg</Path>. Look for the "depositor" line, and change <i>disabled</i> to <i>enabled</i>.</Text>
+<Heading>
+<Text id="depositor-group">Setting a user group</Text>
+</Heading>
+<Text id="user-group">Use of <AutoText key="coredm::_depositor:textdepositor_"/> involves an authentication step. A user will need a Greenstone account which belongs to an appropriate user group. The <AutoText text="all-collections-editor"/> user group gives access to edit any collection, while the ***-collection-editor group gives a user access to edit the *** collection, where *** is the collection's short name (or directory name). By default, the admin account is a member of the all-collections-editor group.</Text>
+<Text id="depositor-user1">The Greenstone admin pages are used to add new users and modify their group settings. Admin pages may have been enabled when you installed Greenstone. If not, they can be activated by changing the "status" line in the <Path>main.cfg</Path> file and changing <i>disabled</i> to <i>enabled</i></Text>
+<NumberedItem>
+<Text id="depositor-user2">To access the administration pages, go to your Greenstone home page and click the <AutoText key="coredm::_home:textadmin_"/> (below the list of collections). To see the list of users, click the <AutoText key="auxdm::_status:textlistusers_"/> link on the left under <AutoText key="auxdm::_status:textusermanage_"/> section. You will need to sign in. You can use the admin account, or any other account which has been added to the <AutoText text="administrator"/> group. If you didn't set up the admin pages when you installed Greenstone, then a default admin account will be created with password "admin". PLease change this immediately.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="depositor-user3">Lets modify the groups for the demo user. This user was added for the authentication demonstration collection to allow restricted access to some of the documents. If this user doesn't exist for you, create a new user by clicking on the <AutoText key="auxdm::_status:addnewuser_"/> link under the <AutoText key="auxdm::_status:textusermanage_"/> section on the left. Give it the name "demo" and password "demo".</Text>
+</NumberedItem>
+<NumberedItem>
+ <Text id="depositor-user4">We'll give this user access to modify the Demo Lucene collection that we will be using for this tutorial. If you have given the collection the title "Demo Lucene", then it's short name is likely to be demoluce. You can check this in GLI: Open the Demo Lucene collection, go to Format->General, and look for the collection folder item. Here we assume demoluce.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="depositor-user5">At the end of each user entry there are two links: <AutoText key="auxdm::_userslistusers:textedituser_"/> and <AutoText key="auxdm::_userslistusers:textdeleteuser_"/>. Click <AutoText key="auxdm::_userslistusers:textedituser_"/> on the <AutoText text="demo"/> user account, and you will be shown more detailed information about the demo user. Add <AutoText text="demoluce-collections-editor"/> at the end of the <AutoText key="auxdm::_userslistusers:textgroups_"/> line, using a comma to separate group entries. (Note, if your collection shortname is not demoluce, then replace demoluce with the appropriate name in ***-collection-editor.</Text>
+</NumberedItem>
+<NumberedItem>
 <Text id="back">Click <AutoText text="submit"/>. Click the <AutoText key="auxdm::_status:textreturnhome_"/> link on the left side and return to the Greenstone home page.</Text>
 </NumberedItem>
@@ -3268,14 +3273,15 @@
 </Heading>
 <NumberedItem>
-<Text id="depositor-11">On the Greenstone library home page, click <AutoText key="coredm::_depositor:textdepositor_"/> button. You will see a drop-down selection list of all the available collections. Select <b>Demo Lucene</b> from the list and sign in with the <AutoText text="admin"/> account.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="depositor-12">The next page asks to fill in the metadata fields &mdash; <AutoText key="coredm::_Global:textTitle_"/>, <AutoText key="coredm::_Global:textOrganization_"/>, <AutoText key="coredm::_Global:textSubject_"/>, <AutoText key="coredm::_Global:textKeyword_"/> and <AutoText key="coredm::_Global:textLanguage_"/>. These metadata fields are from the <b>Development Library Subset</b> (DLS) metadata set, which is the metadata set used in the <b>Demo Lucene</b> collection. In order to ensure the new document will be displayed in the classifiers, next we will specify these metadata for the new document.</Text>
-<Comment>
-<Text id="">However, the default metadata fields to be displayed here are the <AutoText key="coredm::_Global:textTitle_"/>, <AutoText key="coredm::_Global:textCreator_"/> and <AutoText key="coredm::_Global:textDescription_"/> from the <b>Dublin Core Metadata Set</b>. You can customize which metadata fields are required for items added through <AutoText key="coredm::_depositor:textdepositor_"/> in the <AutoText key="glidict::CDM.GUI.DepositorMetadata"/> section on the <AutoText key="glidict::GUI.Format"/> panel in the Greenstone Librarian Interface.</Text>
-</Comment>
-<Text id="depositor-intro">We are going to deposit this file: <Path>sample_files &rarr; demo_NewFiles &rarr; r9006e.htm</Path>. Double click <Path>r9006e.htm</Path> and have a look at its content. Suppose we already have the values for these metadata fields.</Text>
-<Text id="depositor-meta1">Type in the <AutoText key="coredm::_Global:textTitle_"/> filed:</Text>
+<Text id="depositor-11">On the Greenstone library home page, click <AutoText key="coredm::_depositor:textdepositor_"/> button. You will see a drop-down selection list of all the available collections. Select <b>Demo Lucene</b> from the list and sign in with the <AutoText text="demo"/> account.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="depositor-12">The next page asks you to fill in the metadata fields &mdash; <AutoText key="coredm::_Global:textTitle_"/>, <AutoText key="coredm::_Global:textOrganization_"/>, <AutoText key="coredm::_Global:textSubject_"/>, <AutoText key="coredm::_Global:textKeyword_"/> and <AutoText key="coredm::_Global:textLanguage_"/>. These metadata fields are from the <b>Development Library Subset</b> (DLS) metadata set, which is the metadata set used in the <b>Demo Lucene</b> collection. In order to ensure the new document will be displayed in the classifiers, next we will specify these metadata for the new document.</Text>
+<Comment>
+<Text id="depositor-12a">The default metadata fields that would be displayed here for a new collection are the <AutoText key="coredm::_Global:textTitle_"/>, <AutoText key="coredm::_Global:textCreator_"/> and <AutoText key="coredm::_Global:textDescription_"/> from the <b>Dublin Core Metadata Set</b>. You can customize which metadata fields are required for items added through <AutoText key="coredm::_depositor:textdepositor_"/> in the <AutoText key="glidict::CDM.GUI.DepositorMetadata"/> section on the <AutoText key="glidict::GUI.Format"/> panel in the Greenstone Librarian Interface.</Text>
+</Comment>
+<Text id="depositor-intro">We are going to deposit this file: <Path>sample_files &rarr; demo_NewFiles &rarr; r9006e.htm</Path>. Double click <Path>r9006e.htm</Path> and have a look at its content. </Text>
+<Text id="depositor-meta1">Type the following in the <AutoText key="coredm::_Global:textTitle_"/> field:</Text>
 <Format>Selected guidelines for the management of records and archives: a RAMP reader (r9006e)</Format>
+<Text id="depositor-meta6">(Note, You can copy this and the following metadata values across from the <Path>sample_files &rarr; demo_NewFiles &rarr; r9006e-metadata.txt</Path>).</Text>
 <Text id="depositor-meta2">In the <AutoText key="coredm::_Global:textOrganization_"/> field, type <Format>UNESCO</Format></Text>
 <Text id="depositor-meta3">In the <AutoText key="coredm::_Global:textSubject_"/> field, type: </Text>
@@ -3284,14 +3290,14 @@
 <Format>manage records and archives</Format>
 <Text id="depositor-meta5">Finally in the <AutoText key="coredm::_Global:textLanguage_"/> field, type: <Format>English</Format></Text>
-<Text id="depositor-meta6">(You can copy these metadata values across from the <Path>sample_files &rarr; demo_NewFiles &rarr; r9006e-metadata.txt</Path>).</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="depositor-13">Click the <AutoText key="auxdm::_depositor:textintro_"/> button. Click <b>Browse...</b> button and select <Path>sample_files &rarr; demo &rarr; new &rarr; r9006e.htm</Path>, click the <AutoText key="auxdm::_depositor:textconfirm_"/> button and check the document has been uploaded successfully.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="depositor-15">Click the <AutoText key="auxdm::_depositor:textbild_"/> button and wait for the process being finished. You will see the <AutoText key="auxdm::_wizard:textbildsuc_"/> message if the collection has been built successfully or error messages if something goes wrong. </Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="depositor-16">Click <AutoText key="auxdm::_wizard:textview_"/> to preview the newly built collection and check out the newly added document is displayed correctly. For example, in the <b>organizations</b> classifier you will find a new bookshelf named <AutoText text="UNESCO"/> has been created, and click it will show the new document.</Text>
+
+</NumberedItem>
+<NumberedItem>
+<Text id="depositor-13">Click the <AutoText key="auxdm::_depositor:textintro_"/> button. Click the <b>Browse...</b> button and select <Path>sample_files &rarr; demo &rarr; new &rarr; r9006e.htm</Path>, click the <AutoText key="auxdm::_depositor:textconfirm_"/> button and check the document has been uploaded successfully.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="depositor-15">Click the <AutoText key="auxdm::_depositor:textbild_"/> button and wait for the process to finish. You will see the <AutoText key="auxdm::_wizard:textbildsuc_"/> message if the collection has been built successfully or error messages if something has gone wrong. </Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="depositor-16">Click <AutoText key="auxdm::_wizard:textview_"/> to preview the newly built collection and check that the newly added document is displayed correctly. For example, in the <b>organizations</b> classifier you should find a new bookshelf named <AutoText text="UNESCO"/>, which contains the new document.</Text>
 </NumberedItem>
 <Heading>
@@ -3299,8 +3305,5 @@
 </Heading>
 <NumberedItem>
-<Text id="depositor-18"><AutoText key="coredm::_depositor:textdepositor_"/> also supports batch addition of new documents. This is achieved by zipping the new documents (together with their metadata files) first and upload/deposit the zip file. Please note that the collection must have <AutoText text="ZIPPlugin"/> in order to be able process the uploaded zip file, otherwise you need to add the <AutoText text="ZIPPlugin"/> first in Librarian Interface.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="depositor-19">Because the <b>Demo Lucene</b> collection doesn't have <AutoText text="ZIPPlugin"/> yet, so we change this first. Open the <b>Demo Lucene</b> collection in the Greenstone Librarian Interface. Go to the <AutoText key="glidict::CDM.GUI.Plugins"/> section on the <AutoText key="glidict::GUI.Design"/> panel. Add <AutoText text="ZIPPlugin"/> from the <AutoText key="glidict::CDM.PlugInManager.PlugIn"/> drop down list and close the Greenstone Librarian Interface.</Text>
+<Text id="depositor-18"><AutoText key="coredm::_depositor:textdepositor_"/> also supports batch addition of new documents. This is achieved by zipping up the new documents (together with their metadata files) and depositing the zip file. Please note that the collection must have <AutoText text="ZIPPlugin"/> in order to be able process the uploaded zip file, otherwise you need to add the <AutoText text="ZIPPlugin"/> first in Librarian Interface.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3308,10 +3311,10 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="depositor-zip1">Leave the metadata fields blank, because the zip file we are adding contains a <AutoText text="metadata.xml"/> file which specifies these metadata values. Click the <AutoText key="auxdm::_depositor:textintro_"/> button, select <Path>sample_files &rarr; demo_NewFiles &rarr; new_files.zip</Path>, which contains two new HTML documents and a <AutoText text="metadata.xml"/> file. Click <AutoText key="auxdm::_depositor:textconfirm_"/> and then the <AutoText key="auxdm::_depositor:textbild_"/> button.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="depositor-21">After the building is finished, click <AutoText key="auxdm::_wizard:textview_"/> to preview the collection. On the collection's home page, it says the collection now contains 14 documents. Check the <b>titles</b> classifier for the new documents <Format>Above and beyond</Format> and <Format>Utilization and construction of pit silos</Format> have been added successfully.</Text>
-</NumberedItem>
-<Text id="depositor-22">A major benefit of using <AutoText key="coredm::_depositor:textdepositor_"/> is that the user can upload documents and metadata remotely, without having to have Greenstone installed at the client end. <AutoText key="coredm::_depositor:textdepositor_"/> is a tool for remote data input, allowing you to also deposit items to collections built with the MG or MGPP indexers. The difference is that the MG and MGPP indexers need to rebuild the index after adding a new item, while the Lucene indexer doesn't need to.</Text>
+<Text id="depositor-zip1">Leave the metadata fields blank, because the zip file we are adding contains <AutoText text="metadata.xml"/> files which specify these metadata values. Click the <AutoText key="auxdm::_depositor:textintro_"/> button, select <Path>sample_files &rarr; demo_NewFiles &rarr; new_files.zip</Path>, which contains two new HTML documents along with their associated images and <AutoText text="metadata.xml"/> files.  Click <AutoText key="auxdm::_depositor:textconfirm_"/> and then the <AutoText key="auxdm::_depositor:textbild_"/> button.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="depositor-21">After the building is finished, click <AutoText key="auxdm::_wizard:textview_"/> to preview the collection. On the collection's home page, it says the collection now contains 14 documents. Check the <b>titles</b> classifier to see that the new documents <Format>Above and beyond</Format> and <Format>Utilization and construction of pit silos</Format> have been added successfully.</Text>
+</NumberedItem>
+<Text id="depositor-22">A major benefit of using <AutoText key="coredm::_depositor:textdepositor_"/> is that the user can upload documents and metadata remotely, without having to have Greenstone installed at the client end. <AutoText key="coredm::_depositor:textdepositor_"/> is a tool for remote data input, allowing you to also deposit items to collections built with the MG or MGPP indexers. The difference is that the MG and MGPP indexers need to rebuild the entire index after adding a new item, while the Lucene indexer incrementally adds the new document to the existing index.</Text>
 </Content>
 </Tutorial>