Index: main/trunk/greenstone2/macros/bengali.dm
===================================================================
--- main/trunk/greenstone2/macros/bengali.dm	(revision 23285)
+++ main/trunk/greenstone2/macros/bengali.dm	(revision 23288)
@@ -4,4 +4,5 @@
 # Bengali Language text and icon macros 
 # Many thanks to Prasenjit Majumder (translated January 2005)
+#       and Dilara Begum (updated October 2010)
 #
 ######################################################################
@@ -29,5 +30,7 @@
 _textsignin_ [l=bn] {àŠªà§àŠ°àŠ¬à§àŠ¶ àŠàŠ°à§àŠš  }
 
-_texttruncated_ [l=bn] {[àŠàŠšà§àŠ¡àŠ¿àŠ€]}  
+_texttruncated_ [l=bn] {[àŠàŠšà§àŠ¡àŠ¿àŠ€]
+
+	}  
 
 _textdefaultcontent_ [l=bn] {àŠ
@@ -191,5 +194,5 @@
 
 _texttext_ [l=bn] {àŠà§àŠà§àŠžàŠ}  
-
+_labeltext_ [l=bn] {_texttext_}
 _textdocument_ [l=bn] {àŠ¡àŠà§àŠ®à§àŠšà§àŠ}  
 _textsection_ [l=bn] {àŠ¬àŠ¿àŠ­àŠŸàŠ}
@@ -390,5 +393,8 @@
 _textinvalidquery_ [l=bn] {àŠªà§àŠ°àŠ¶à§àŠšà§àŠ° àŠ­à§àŠ² àŠ§àŠ°àŠ£}
 _textstopwordsmsg_ [l=bn] {àŠšàŠ¿àŠ®à§àŠšà§àŠ° àŠ¶àŠ¬à§àŠŠàŠà§àŠ²à§ àŠà§àŠ¬àŠ àŠžàŠŸàŠ§àŠŸàŠ°àŠš àŠ¹àŠà§àŠŸà§ àŠàŠªà§àŠà§àŠ·àŠŸ àŠàŠ°àŠŸ àŠ¹à§à§àŠà§}  
-
+_textlucenetoomanyclauses_ [l=bn] {àŠàŠªàŠšàŠŸàŠ° àŠà§à§à§àŠ°à§àŠ€à§ àŠ
+àŠšà§àŠ àŠ¬à§àŠ¶àŠ¿ àŠ
+àŠšà§àŠžàŠšà§àŠ§àŠŸàŠš àŠ¶à§àŠ°à§àŠ£à§àŠàŠ°àŠ£ àŠ°à§à§àŠà§; àŠ
+àŠšà§àŠà§àŠ°àŠ¹ àŠàŠ°à§ àŠà§à§à§àŠ°à§àŠàŠ¿ àŠàŠ°à§ àŠ¬à§àŠ¶àŠ¿ àŠšàŠ¿àŠ°à§àŠŠàŠ¿àŠžà§àŠ àŠàŠ°à§àŠš à¥€}  
 
 _textmorethan_ [l=bn] {àŠàŠ°àŠ¥à§àŠà§ àŠ¬à§àŠ¶à§}
@@ -408,5 +414,5 @@
 _textinfield_ [l=bn] {àŠà§àŠ·à§àŠ€à§àŠ°à§}
 _textfieldphrase_ [l=bn] {àŠ«àŠ¿àŠ²à§àŠ¡}  
-
+_textinwords_ [l=bn] {... àŠàŠ àŠàŠ¥àŠŸà§}  
 _textfoldstem_ [l=bn] {( àŠ«à§àŠ²à§àŠ¡ , àŠžà§àŠà§àŠ® )}  
 
@@ -428,5 +434,6 @@
 _textsimplesearch_ [l=bn] {àŠàŠšà§àŠ¯ àŠ
 àŠšà§àŠžàŠšà§àŠ§àŠŸàŠš àŠàŠ°à§àŠš _indexselection_ _If_(_jselection_,àŠàŠ°,_jselection_ )_If_(_gselection_,àŠ€à§ _gselection_ àŠžà§àŠ€àŠ° )_If_(_nselection_,àŠ€à§ _nselection_ àŠ­àŠŸàŠ·àŠŸ )àŠ¯à§àŠàŠŸ àŠ§àŠŸàŠ°àŠ£ àŠàŠ°à§ _querytypeselection_ àŠ¶àŠ¬à§àŠŠà§àŠ°}  
-
+_textsimplesqlsearch_ [l=bn] {_indexselection__If_(_jselection_ àŠ
+àŠšàŠžàŠ¿àŠšà§àŠ§àŠŸàŠš àŠàŠ°à§àŠš _jselection_)_If_(_gselection_ àŠàŠ° àŠžàŠŸàŠ¥à§ _gselection_ level )_If_(_nselection_ àŠ€à§ _nselection_ language)_If_(_sqlsfselection_,\,_allowformbreak_ sorting results by _sqlsfselection_) àŠ¶àŠ¬à§àŠŠàŠà§àŠ²àŠ¿àŠ°  _querytypeselection_àŠàŠšà§àŠ¯}  
 
 _textadvancedsearch_ [l=bn] {àŠ
@@ -438,5 +445,6 @@
 _textadvancedlucenesearch_ [l=bn] {_indexselection__If_(_jselection_, associated with _jselection_)_If_(_gselection_, at _gselection_ level )_If_(_nselection_, in _nselection_ language)_If_(_sfselection_,\,_allowformbreak_ sorting results by _sfselection_\,) àŠàŠ° àŠ®àŠ§à§àŠ¯à§ àŠ
 àŠšà§àŠžàŠšà§àŠ§àŠŸàŠš àŠàŠ°à§àŠš}  
-
+_textadvancedsqlsearch_ [l=bn] {àŠ
+àŠšà§àŠžàŠšà§àŠ§àŠŸàŠš àŠàŠ°à§àŠš _indexselection__If_(_jselection_, associated _jselection_)_If_(_gselection_ àŠàŠ° àŠŠà§àŠ¬àŠŸàŠ°àŠŸ  _gselection_ level )_If_(_nselection_, àŠ€à§ _nselection_ language)_If_(_sqlsfselection_,\,_allowformbreak_ sorting results by _sqlsfselection_\,) àŠàŠ àŠ­àŠŸàŠ·àŠŸà§ }  
 
 # the space after "Search" is required, otherwise no space between "Search" and "in"
@@ -444,11 +452,14 @@
 _textformsimplesearch_ [l=bn] {àŠ
 àŠšà§àŠžàŠšà§àŠ§àŠŸàŠš àŠàŠ°à§àŠš _If_(_jselection_,_jselection_ )_If_(_gformselection_ àŠ€à§ _gformselection_ àŠžà§àŠ€àŠ° )_If_(_nselection_àŠ€à§ _nselection_ àŠ­àŠŸàŠ·àŠŸ )àŠàŠšà§àŠ¯ _formquerytypesimpleselection_  àŠ€à§}  
-
+_textformsimplesearchsql_ [l=bn] {_If_(_jselection_, in _jselection_)_If_(_gformselection_àŠ
+àŠšà§àŠžàŠšà§àŠ§àŠŸàŠš àŠàŠ°à§àŠš _gformselection_ level )_If_(_nselection_, àŠ€à§ _nselection_ language)_If_(_sqlsfselection_,\, sorting results by _sqlsfselection_\,) àŠàŠ° àŠàŠšà§àŠ¯à§ _formquerytypesimpleselection_ }  
 
 _textformadvancedsearchmgpp_ [l=bn] {_If_(_jselection_, in _jselection_)_If_(_gformselection_, at _gformselection_ level )_If_(_nselection_, in _nselection_ language), àŠ
 àŠšà§àŠžàŠšà§àŠ§àŠŸàŠš àŠàŠ°à§àŠš àŠàŠ¬àŠ àŠ«àŠ²àŠŸàŠ«àŠ²àŠàŠ¿ _formquerytypeadvancedselection_ àŠà§àŠ°àŠ®à§ àŠžàŠŸàŠàŠŸàŠš}  
 
-
-
+_textformadvancedsearchlucene_ [l=bn] {_If_(_jselection_, in _jselection_)_If_(_gformselection_ àŠ
+àŠšà§àŠžàŠšà§àŠ§àŠŸàŠš àŠàŠ°à§àŠš _gformselection_ level )_If_(_nselection_, àŠ€à§ _nselection_ language)_If_(_sfselection_,\, sorting results by _sfselection_\,) àŠàŠ àŠ­àŠŸàŠ·àŠŸà§ }  
+_textformadvancedsearchsql_ [l=bn] {_If_(_jselection_, in _jselection_)_If_(_gformselection_ àŠ
+àŠšà§àŠžàŠšà§àŠ§àŠŸàŠš àŠàŠ°à§àŠš _gformselection_ level )_If_(_nselection_, àŠ€à§ _nselection_ language)_If_(_sqlsfselection_,\, sorting results by _sqlsfselection_\,) àŠàŠ àŠ­àŠŸàŠ·àŠŸà§ }  
 
 _textnojsformwarning_ [l=bn] {àŠžàŠ€àŠ°à§àŠà§àŠàŠ°àŠ£àŠ àŠàŠªàŠšàŠŸàŠ° àŠà§à§àŠ¬ àŠ¬à§àŠ°àŠŸàŠàŠàŠŸàŠ°à§àŠ° àŠàŠŸàŠ­àŠŸàŠžà§àŠà§àŠ°àŠ¿àŠªà§àŠ àŠàŠàŠš àŠ
@@ -545,5 +556,5 @@
 _textsqlformsearchtype_ [l=bn] {SQL àŠ«àŠ¿àŠ²à§àŠ¡à§àŠ° with _sqlformnumfieldoption_ fields}  
 _textplainsearchtype_ [l=bn] {_boxsizeoption_ àŠàŠ° àŠ®àŠŸàŠ§à§àŠ¯àŠ®à§ àŠà§à§à§àŠ°àŠ¿ àŠ¬àŠà§àŠžàŠà§ àŠžà§àŠ¬àŠŸàŠ­àŠŸàŠ¬àŠ¿àŠ àŠàŠàŠŸàŠ° àŠŠàŠ¿àŠš}  
-
+_textregularbox_ [l=bn] {àŠàŠàŠ àŠ²àŠŸàŠàŠš}  
 _textlargebox_ [l=bn] {àŠ¬à§àŠ¹à§}  
 
@@ -563,5 +574,5 @@
 
 # html options
-
+_textdoclayout_ [l=bn] {àŠ¡àŠà§àŠ®à§àŠšà§àŠ àŠªà§àŠ àŠ²à§-àŠàŠàŠ}  
 _textlayoutnavbar_ [l=bn] {àŠšà§àŠ­àŠ¿àŠà§àŠ¶àŠš àŠ¬àŠŸàŠ° àŠàŠªàŠ°à§}  
 _textlayoutnonavbar_ [l=bn] {àŠšà§àŠ­àŠ¿àŠà§àŠ¶àŠš àŠ¬àŠŸàŠ° àŠšà§àŠ}  
Index: main/trunk/greenstone2/macros/bengali2.dm
===================================================================
--- main/trunk/greenstone2/macros/bengali2.dm	(revision 23285)
+++ main/trunk/greenstone2/macros/bengali2.dm	(revision 23288)
@@ -2,6 +2,8 @@
 ######################################################################
 #
-# Language text and icon macros 
+# Bengali Language text and icon macros 
 # -- this file contains text that is of less importance
+# Many thanks to Dilara Begum (translated October 2010)
+# 
 ######################################################################
 
@@ -102,5 +104,7 @@
 àŠšà§àŠ€àŠ°à§àŠ­à§àŠà§àŠ€ àŠ¹àŠ€à§ àŠ¹àŠ¬à§}  
 
-_textmessageinvalid_ [l=bn] {àŠ¯à§ àŠªàŠŸàŠ€àŠŸà§ àŠàŠªàŠšàŠ¿ àŠ¢à§àŠàŠ€à§ àŠàŠŸàŠà§àŠà§àŠš àŠ€àŠŸàŠ€à§ àŠªà§àŠ°àŠ¬à§àŠ¶ àŠàŠ°àŠŸàŠ° àŠàŠšà§àŠ¯ àŠžàŠŸàŠàŠš àŠàŠš àŠàŠ°à§àŠšà¥€<br> _If_(_cgiargug_,[_textmustbelongtogroup_]<br>) àŠà§àŠ°à§àŠ£àŠžà§àŠà§àŠš àŠàŠ° àŠàŠšà§àŠ¯ àŠšàŠ¿àŠ°à§àŠ§àŠŸàŠ°àŠ£ àŠàŠ°àŠŸ àŠàŠªàŠšàŠŸàŠ° àŠàŠàŠàŠŸàŠ° àŠšà§àŠ® àŠàŠ¬àŠ àŠªàŠŸàŠžàŠà§àŠŸàŠ°à§àŠ¡ àŠŠàŠ¿àŠšà¥€}  
+_textmessageinvalid_ [l=bn] {àŠ¯à§ àŠªàŠŸàŠ€àŠŸà§ àŠàŠªàŠšàŠ¿ àŠ¢à§àŠàŠ€à§ àŠàŠŸàŠà§àŠà§àŠš àŠ€àŠŸàŠ€à§ àŠªà§àŠ°àŠ¬à§àŠ¶ àŠàŠ°àŠŸàŠ° àŠàŠšà§àŠ¯ àŠžàŠŸàŠàŠš àŠàŠš àŠàŠ°à§àŠšà¥€<br> _If_(_cgiargug_,[_textmustbelongtogroup_]<br>) àŠà§àŠ°à§àŠ£àŠžà§àŠà§àŠš àŠàŠ° àŠàŠšà§àŠ¯ àŠšàŠ¿àŠ°à§àŠ§àŠŸàŠ°àŠ£ àŠàŠ°àŠŸ àŠàŠªàŠšàŠŸàŠ° àŠàŠàŠàŠŸàŠ° àŠšà§àŠ® àŠàŠ¬àŠ àŠªàŠŸàŠžàŠà§àŠŸàŠ°à§àŠ¡ àŠŠàŠ¿àŠšà¥€
+
+	}  
 
 _textmessagefailed_ [l=bn] {àŠàŠªàŠšàŠŸàŠ° àŠàŠàŠàŠŸàŠ°àŠšà§àŠ® àŠ
@@ -675,5 +679,5 @@
 _textclosewindow_ [l=bn] {àŠàŠàŠšà§àŠ¡à§ àŠ¬àŠšà§àŠ§ àŠàŠ°à§àŠš}  
 _textabout_ [l=bn] {àŠàŠ° àŠžàŠ®à§àŠ¬àŠšà§àŠ§à§}  
-
+_textprivacy_ [l=bn] {àŠà§àŠªàŠšà§à§àŠ€àŠŸ}  
 _textsend_ [l=bn] {àŠªàŠŸàŠ àŠŸàŠš}  
 _textdontsend_ [l=bn] {àŠªàŠŸàŠ àŠŸàŠ¬à§àŠš àŠšàŠŸ}  