Index: test-collections/trunk/filename-encodings/import/1ASCIIfiles/AsciiFile1.html
===================================================================
--- test-collections/trunk/filename-encodings/import/1ASCIIfiles/AsciiFile1.html	(revision 23326)
+++ test-collections/trunk/filename-encodings/import/1ASCIIfiles/AsciiFile1.html	(revision 23326)
@@ -0,0 +1,11 @@
+<html>
+<head>
+<title>ASCII file with link</title>
+</head>
+<body>
+This is my ASCII file with some sample text. It's necessary to check that the links are still working, because an ASCII file (ASCII filename) is the base case for which the HTMLPlugin should still work properly after the changes made to replace_href_links.
+
+<a href="SecondASCIIfile.html">Here's a sample link to another ASCII text file</a><br />
+<img src="Tiger.jpg" />
+</body>
+</html>
Index: test-collections/trunk/filename-encodings/import/1ASCIIfiles/SecondASCIIfile.html
===================================================================
--- test-collections/trunk/filename-encodings/import/1ASCIIfiles/SecondASCIIfile.html	(revision 23326)
+++ test-collections/trunk/filename-encodings/import/1ASCIIfiles/SecondASCIIfile.html	(revision 23326)
@@ -0,0 +1,11 @@
+<html>
+<head>
+<title>My second ASCII file</title>
+</head>
+<body>
+This then is my second ASCII file. Not much text in here, as it's mainly to check that the interlinking is still working.
+
+<a href="AsciiFile1.html">Links back to the first ASCII file</a>.<br />
+<img src="Tiger.jpg" />
+</body>
+</html>
Index: test-collections/trunk/filename-encodings/import/2ASCIIfilesSpaces/Ascii File1.html
===================================================================
--- test-collections/trunk/filename-encodings/import/2ASCIIfilesSpaces/Ascii File1.html	(revision 23326)
+++ test-collections/trunk/filename-encodings/import/2ASCIIfilesSpaces/Ascii File1.html	(revision 23326)
@@ -0,0 +1,11 @@
+<html>
+<head>
+<title>ASCII file with link</title>
+</head>
+<body>
+This is my ASCII file with some sample text. It's necessary to check that the links are still working, because an ASCII file (ASCII filename) is the base case for which the HTMLPlugin should still work properly after the changes made to replace_href_links.
+
+<a href="Second ASCIIfile.html">Here's a sample link to another ASCII text file</a><br />
+<img src="Tiger 2.jpg" />
+</body>
+</html>
Index: test-collections/trunk/filename-encodings/import/2ASCIIfilesSpaces/Second ASCIIfile.html
===================================================================
--- test-collections/trunk/filename-encodings/import/2ASCIIfilesSpaces/Second ASCIIfile.html	(revision 23326)
+++ test-collections/trunk/filename-encodings/import/2ASCIIfilesSpaces/Second ASCIIfile.html	(revision 23326)
@@ -0,0 +1,11 @@
+<html>
+<head>
+<title>My second ASCII file</title>
+</head>
+<body>
+This then is my second ASCII file. Not much text in here, as it's mainly to check that the interlinking is still working.
+
+<a href="Ascii File1.html">Links back to the first ASCII file</a>.<br />
+<img src="Tiger 2.jpg" />
+</body>
+</html>
Index: test-collections/trunk/filename-encodings/import/Latin-1-URL-encoded/Latin1File-Latin1Content-UrlEncodedLink-Bibliothèques face aux pressions2.html
===================================================================
--- test-collections/trunk/filename-encodings/import/Latin-1-URL-encoded/Latin1File-Latin1Content-UrlEncodedLink-Bibliothèques face aux pressions2.html	(revision 23326)
+++ test-collections/trunk/filename-encodings/import/Latin-1-URL-encoded/Latin1File-Latin1Content-UrlEncodedLink-Bibliothèques face aux pressions2.html	(revision 23326)
@@ -0,0 +1,17 @@
+<html>
+<head>
+<title>Bibliothèques face aux pressions 2</title>
+<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
+</head>
+<body>
+
+<p><img src="Bibliothèques face aux pressions.jpg"></p>
+Bibliothèques face aux pressions
+administration des bibliothèques
+administration des bibliothèques
+
+<p>See also the page <a href="Latin1File-Utf8Content-UrlEncodedLink-administration des biblioth%E8ques.html">Biblio</a>.</p>
+</body>
+</html>
+
+
Index: test-collections/trunk/filename-encodings/import/Latin-1-URL-encoded/Latin1File-Utf8Content-UrlEncodedLink-administration des bibliothèques.html
===================================================================
--- test-collections/trunk/filename-encodings/import/Latin-1-URL-encoded/Latin1File-Utf8Content-UrlEncodedLink-administration des bibliothèques.html	(revision 23326)
+++ test-collections/trunk/filename-encodings/import/Latin-1-URL-encoded/Latin1File-Utf8Content-UrlEncodedLink-administration des bibliothèques.html	(revision 23326)
@@ -0,0 +1,23 @@
+<html>
+<head>
+<title>Le Petit Prince d'Antoine de Saint ExupÃ©ry</title>
+</head>
+<body>
+Auteurs franÃ§ais classiques
+
+Le Petit Prince d'Antoine de Saint ExupÃ©ry
+Le Petit Prince de Saint-Exupery
+
+Le petit Prince est un conte qu'Antoine de saint-ExupÃ©ry a publiÃ© en 1943 et qu'il a dÃ©diÃ© Ã  son ami LÃ©on Werth.
+
+<p><img src="administration des biblioth%E8ques.jpg"></p>
+
+DÃ©dicace
+
+A LÃ©on Werth.
+
+Je demande pardon aux enfants d'avoir dÃ©diÃ© ce livre Ã  une grande personne. J'ai une excuse sÃ©rieuse : cette grande personne est le meilleur ami que j'ai au monde. J'ai une autre excuse : cette grande personne peut tout comprendre, mÃªme les livres pour enfants. J'ai une troisiÃšme excuse : cette grande personne habite la France oÃ¹ elle a faim et froid. Elle a besoin d'Ãªtre consolÃ©e. Si toutes ces excuses ne suffisent pas, je veux bien dÃ©dier ce livre Ã  l'enfant qu'a Ã©tÃ© autrefois cette grande personne. Toutes les grandes personnes ont d'abord Ã©tÃ© des enfants. (Mais peu d'entre elles s'en souviennent.) Je corrige donc ma dÃ©dicace : 
+
+<p>See also the page <a href="Latin1File-Latin1Content-UrlEncodedLink-Biblioth%E8ques face aux pressions2.html">Biblio</a>.</p>
+</body>
+</html>
Index: test-collections/trunk/filename-encodings/import/Linux-UTF8-URL-encoded/Le ChÃ¢teau de ma mÃ¨re.html
===================================================================
--- test-collections/trunk/filename-encodings/import/Linux-UTF8-URL-encoded/Le ChÃ¢teau de ma mÃ¨re.html	(revision 23326)
+++ test-collections/trunk/filename-encodings/import/Linux-UTF8-URL-encoded/Le ChÃ¢teau de ma mÃ¨re.html	(revision 23326)
@@ -0,0 +1,27 @@
+<html>
+<head>
+<title>Le ChÃ¢teau de ma mÃšre</title>
+</head>
+<body>
+Le ChÃ¢teau de ma mÃšre
+
+le rÃ©sumÃ© en dÃ©tail du livre
+
+son retour Ã  l'amitiÃ©
+
+Un film franÃ§ais d'Yves Robert 
+
+<p><img src="Le Ch%C3%A2teau de ma m%C3%A8re.jpg"></p>
+
+Secrets de tournage
+AdaptÃ© de Marcel Pagnol
+Le ChÃ¢teau de ma mÃšre est adaptÃ© des souvenirs d'enfance de Marcel Pagnol, qu'il rÃ©digea en l'espace de quatre ans Ã  travers trois ouvrages : La Gloire de mon PÃšre (1957), Le ChÃ¢teau de ma MÃšre (1958) et Le Temps des Secrets (1960). L'auteur avait le projet de les porter lui-mÃªme Ã  l'Ã©cran mais il n'en eut pas le temps. Yves Robert projeta d'adapter les deux premiers ouvrages dÃšs 1963 mais l'obten [...]
+
+
+L'adolescence de Marcel, sa dÃ©couverte de l'amour, son retour Ã  l'amitiÃ© et les grands dÃ©parts pour ses chÃšres collines oÃ¹, pour arriver plus vite, toute la famille passe en cachette sur un domaine privÃ©.
+
+Le ChÃ¢teau de ma mÃšre
+
+<p>See also the page <a href="Le Petit Prince d'Antoine de Saint Exup%C3%83%C2%A9ry.html">Le Petit Prince d'Antoine de Saint ExupÃ©ry</a>.</p>
+</body>
+</html>
Index: test-collections/trunk/filename-encodings/import/Linux-UTF8-encoded/Le ChÃ¢teau de ma mÃ¨re.html
===================================================================
--- test-collections/trunk/filename-encodings/import/Linux-UTF8-encoded/Le ChÃ¢teau de ma mÃ¨re.html	(revision 23326)
+++ test-collections/trunk/filename-encodings/import/Linux-UTF8-encoded/Le ChÃ¢teau de ma mÃ¨re.html	(revision 23326)
@@ -0,0 +1,27 @@
+<html>
+<head>
+<title>Le ChÃ¢teau de ma mÃšre</title>
+</head>
+<body>
+Le ChÃ¢teau de ma mÃšre
+
+le rÃ©sumÃ© en dÃ©tail du livre
+
+son retour Ã  l'amitiÃ©
+
+Un film franÃ§ais d'Yves Robert 
+
+<p><img src="Le ChÃ¢teau de ma mÃšre.jpg"></p>
+
+Secrets de tournage
+AdaptÃ© de Marcel Pagnol
+Le ChÃ¢teau de ma mÃšre est adaptÃ© des souvenirs d'enfance de Marcel Pagnol, qu'il rÃ©digea en l'espace de quatre ans Ã  travers trois ouvrages : La Gloire de mon PÃšre (1957), Le ChÃ¢teau de ma MÃšre (1958) et Le Temps des Secrets (1960). L'auteur avait le projet de les porter lui-mÃªme Ã  l'Ã©cran mais il n'en eut pas le temps. Yves Robert projeta d'adapter les deux premiers ouvrages dÃšs 1963 mais l'obten [...]
+
+
+L'adolescence de Marcel, sa dÃ©couverte de l'amour, son retour Ã  l'amitiÃ© et les grands dÃ©parts pour ses chÃšres collines oÃ¹, pour arriver plus vite, toute la famille passe en cachette sur un domaine privÃ©.
+
+Le ChÃ¢teau de ma mÃšre
+
+<p>See also the page <a href="Le Petit Prince d'Antoine de Saint ExupÃ©ry.html">Le Petit Prince d'Antoine de Saint ExupÃ©ry</a>.</p>
+</body>
+</html>
Index: test-collections/trunk/filename-encodings/import/Linux-UTF8-encoded/Le Petit Prince d'Antoine de Saint ExupÃ©ry.html
===================================================================
--- test-collections/trunk/filename-encodings/import/Linux-UTF8-encoded/Le Petit Prince d'Antoine de Saint ExupÃ©ry.html	(revision 23326)
+++ test-collections/trunk/filename-encodings/import/Linux-UTF8-encoded/Le Petit Prince d'Antoine de Saint ExupÃ©ry.html	(revision 23326)
@@ -0,0 +1,24 @@
+<html>
+<head>
+<title>Le Petit Prince d'Antoine de Saint ExupÃ©ry</title>
+<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+</head>
+<body>
+Auteurs franÃ§ais classiques
+
+Le Petit Prince d'Antoine de Saint ExupÃ©ry
+Le Petit Prince de Saint-Exupery
+
+Le petit Prince est un conte qu'Antoine de saint-ExupÃ©ry a publiÃ© en 1943 et qu'il a dÃ©diÃ© Ã  son ami LÃ©on Werth.
+
+<p><img src="Le Petit Prince d'Antoine de Saint ExupÃ©ry.jpg"></p>
+
+DÃ©dicace
+
+A LÃ©on Werth.
+
+Je demande pardon aux enfants d'avoir dÃ©diÃ© ce livre Ã  une grande personne. J'ai une excuse sÃ©rieuse : cette grande personne est le meilleur ami que j'ai au monde. J'ai une autre excuse : cette grande personne peut tout comprendre, mÃªme les livres pour enfants. J'ai une troisiÃšme excuse : cette grande personne habite la France oÃ¹ elle a faim et froid. Elle a besoin d'Ãªtre consolÃ©e. Si toutes ces excuses ne suffisent pas, je veux bien dÃ©dier ce livre Ã  l'enfant qu'a Ã©tÃ© autrefois cette grande personne. Toutes les grandes personnes ont d'abord Ã©tÃ© des enfants. (Mais peu d'entre elles s'en souviennent.) Je corrige donc ma dÃ©dicace : 
+
+<p>See also the page <a href="Le ChÃ¢teau de ma mÃšre.html">Le ChÃ¢teau de ma mÃšre</a>.</p>
+</body>
+</html>
Index: test-collections/trunk/filename-encodings/import/Linux-UTF8-encoded/UTF8-File-Mapped-TestÎ².html
===================================================================
--- test-collections/trunk/filename-encodings/import/Linux-UTF8-encoded/UTF8-File-Mapped-TestÎ².html	(revision 23326)
+++ test-collections/trunk/filename-encodings/import/Linux-UTF8-encoded/UTF8-File-Mapped-TestÎ².html	(revision 23326)
@@ -0,0 +1,27 @@
+<html>
+<head>
+<title>UTF8 File Mapped Test Î²</title>
+</head>
+<body>
+Le ChÃ¢teau de ma mÃšre
+
+le rÃ©sumÃ© en dÃ©tail du livre
+
+son retour Ã  l'amitiÃ©
+
+Un film franÃ§ais d'Yves Robert 
+
+<p><img src="Le ChÃ¢teau de ma mÃšre.jpg"></p>
+
+Secrets de tournage
+AdaptÃ© de Marcel Pagnol
+Le ChÃ¢teau de ma mÃšre est adaptÃ© des souvenirs d'enfance de Marcel Pagnol, qu'il rÃ©digea en l'espace de quatre ans Ã  travers trois ouvrages : La Gloire de mon PÃšre (1957), Le ChÃ¢teau de ma MÃšre (1958) et Le Temps des Secrets (1960). L'auteur avait le projet de les porter lui-mÃªme Ã  l'Ã©cran mais il n'en eut pas le temps. Yves Robert projeta d'adapter les deux premiers ouvrages dÃšs 1963 mais l'obten [...]
+
+
+L'adolescence de Marcel, sa dÃ©couverte de l'amour, son retour Ã  l'amitiÃ© et les grands dÃ©parts pour ses chÃšres collines oÃ¹, pour arriver plus vite, toute la famille passe en cachette sur un domaine privÃ©.
+
+Le ChÃ¢teau de ma mÃšre
+
+<p>See also the page <a href="Le Petit Prince d'Antoine de Saint ExupÃ©ry.html">Le Petit Prince d'Antoine de Saint ExupÃ©ry</a>.</p>
+</body>
+</html>
Index: test-collections/trunk/filename-encodings/import/Linux-UTF8-encoded/UTF8-TestÎ².html
===================================================================
--- test-collections/trunk/filename-encodings/import/Linux-UTF8-encoded/UTF8-TestÎ².html	(revision 23326)
+++ test-collections/trunk/filename-encodings/import/Linux-UTF8-encoded/UTF8-TestÎ².html	(revision 23326)
@@ -0,0 +1,27 @@
+<html>
+<head>
+<title>UTF8 Test Î²</title>
+</head>
+<body>
+Le ChÃ¢teau de ma mÃšre
+
+le rÃ©sumÃ© en dÃ©tail du livre
+
+son retour Ã  l'amitiÃ©
+
+Un film franÃ§ais d'Yves Robert 
+
+<p><img src="Le ChÃ¢teau de ma mÃšre.jpg"></p>
+
+Secrets de tournage
+AdaptÃ© de Marcel Pagnol
+Le ChÃ¢teau de ma mÃšre est adaptÃ© des souvenirs d'enfance de Marcel Pagnol, qu'il rÃ©digea en l'espace de quatre ans Ã  travers trois ouvrages : La Gloire de mon PÃšre (1957), Le ChÃ¢teau de ma MÃšre (1958) et Le Temps des Secrets (1960). L'auteur avait le projet de les porter lui-mÃªme Ã  l'Ã©cran mais il n'en eut pas le temps. Yves Robert projeta d'adapter les deux premiers ouvrages dÃšs 1963 mais l'obten [...]
+
+
+L'adolescence de Marcel, sa dÃ©couverte de l'amour, son retour Ã  l'amitiÃ© et les grands dÃ©parts pour ses chÃšres collines oÃ¹, pour arriver plus vite, toute la famille passe en cachette sur un domaine privÃ©.
+
+Le ChÃ¢teau de ma mÃšre
+
+<p>See also the page <a href="Le Petit Prince d'Antoine de Saint ExupÃ©ry.html">Le Petit Prince d'Antoine de Saint ExupÃ©ry</a>.</p>
+</body>
+</html>
Index: test-collections/trunk/filename-encodings/import/Linux-UTF8-encoded/file-list.txt
===================================================================
--- test-collections/trunk/filename-encodings/import/Linux-UTF8-encoded/file-list.txt	(revision 23326)
+++ test-collections/trunk/filename-encodings/import/Linux-UTF8-encoded/file-list.txt	(revision 23326)
@@ -0,0 +1,12 @@
+UTF8-File-Mapped-TestImageÎ².jpg
+metadata.xml~
+file-list.txt
+metadata.xml
+UTF8-TestImageÎ².jpg
+Le Petit Prince d'Antoine de Saint ExupÃ©ry.html
+Le ChÃ¢teau de ma mÃšre.html
+UTF8-TestÎ².html
+UTF8-File-Mapped-TestÎ².html
+UTF8-ChÃ¢teauImage.jpg
+Le ChÃ¢teau de ma mÃšre.jpg
+Le Petit Prince d'Antoine de Saint ExupÃ©ry.jpg
Index: test-collections/trunk/filename-encodings/import/Linux-UTF8-encoded/metadata.xml
===================================================================
--- test-collections/trunk/filename-encodings/import/Linux-UTF8-encoded/metadata.xml	(revision 23326)
+++ test-collections/trunk/filename-encodings/import/Linux-UTF8-encoded/metadata.xml	(revision 23326)
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE DirectoryMetadata SYSTEM "http://greenstone.org/dtd/DirectoryMetadata/1.0/DirectoryMetadata.dtd">
+<DirectoryMetadata>
+    <FileSet>
+        <FileName>.*File-Mapped.*\..*</FileName>
+        <Description>
+            <Metadata name="gs.filename_encoding">UTF-8</Metadata>
+        </Description>
+    </FileSet>
+</DirectoryMetadata>
Index: test-collections/trunk/filename-encodings/import/Native-Latin-1/Latin-1-Bibliothèques face aux pressions2.html
===================================================================
--- test-collections/trunk/filename-encodings/import/Native-Latin-1/Latin-1-Bibliothèques face aux pressions2.html	(revision 23326)
+++ test-collections/trunk/filename-encodings/import/Native-Latin-1/Latin-1-Bibliothèques face aux pressions2.html	(revision 23326)
@@ -0,0 +1,17 @@
+<html>
+<head>
+<title>Bibliothèques face aux pressions 2</title>
+<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
+</head>
+<body>
+
+<p><img src="Bibliothèques face aux pressions.jpg"></p>
+Bibliothèques face aux pressions
+administration des bibliothèques
+administration des bibliothèques
+
+<p>See also the page <a href="Latin-1-administration des bibliothèques2.html">Biblio</a>.</p>
+</body>
+</html>
+
+
Index: test-collections/trunk/filename-encodings/import/Native-Latin-1/Latin-1-administration des bibliothèques2.html
===================================================================
--- test-collections/trunk/filename-encodings/import/Native-Latin-1/Latin-1-administration des bibliothèques2.html	(revision 23326)
+++ test-collections/trunk/filename-encodings/import/Native-Latin-1/Latin-1-administration des bibliothèques2.html	(revision 23326)
@@ -0,0 +1,16 @@
+<html>
+<head>
+<title>Administration des bibliothèques 2</title>
+<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
+</head>
+<body>
+
+<p><img src="administration des bibliothèques.jpg"></p>
+Bibliothèques face aux pressions
+administration des bibliothèques
+administration des bibliothèques
+
+<p>See also the page <a href="Latin-1-Bibliothèques face aux pressions2.html">Biblio</a>.</p>
+</body>
+</html>
+
Index: test-collections/trunk/filename-encodings/import/Native-Latin-1/metadata.xml
===================================================================
--- test-collections/trunk/filename-encodings/import/Native-Latin-1/metadata.xml	(revision 23326)
+++ test-collections/trunk/filename-encodings/import/Native-Latin-1/metadata.xml	(revision 23326)
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE DirectoryMetadata SYSTEM "http://greenstone.org/dtd/DirectoryMetadata/1.0/DirectoryMetadata.dtd">
+<DirectoryMetadata>
+    <FileSet>
+        <FileName>Latin-1-File-Mapped-Biblioth%E8ques face aux pressions\.jpg</FileName>
+        <Description>
+            <Metadata name="gs.filename_encoding">ISO-8859-1</Metadata>
+        </Description>
+    </FileSet>
+</DirectoryMetadata>
Index: test-collections/trunk/filename-encodings/import/Native-Latin-7/metadata.xml
===================================================================
--- test-collections/trunk/filename-encodings/import/Native-Latin-7/metadata.xml	(revision 23326)
+++ test-collections/trunk/filename-encodings/import/Native-Latin-7/metadata.xml	(revision 23326)
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE DirectoryMetadata SYSTEM "http://greenstone.org/dtd/DirectoryMetadata/1.0/DirectoryMetadata.dtd">
+<DirectoryMetadata>
+    <FileSet>
+        <FileName>Latin-7-File-Mapped-TestImage%E2\.jpg</FileName>
+        <Description>
+            <Metadata name="gs.filename_encoding">ISO-8859-7</Metadata>
+        </Description>
+    </FileSet>
+</DirectoryMetadata>